Loading...
Searching...
No Matches
form_lazy_terminal.h File Reference

Go to the source code of this file.

## Classes

class | form_lazy_base< Derived >
class | form_lazy_terminal_integrate_rep< Expr >
class | form_lazy_terminal_integrate< Expr >
struct | is_form_lazy< form_lazy_terminal_integrate< Expr > >
class | form_lazy_terminal_integrate_band_rep< Expr >
class | form_lazy_terminal_integrate_band< Expr >
struct | is_form_lazy< form_lazy_terminal_integrate_band< Expr > >

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Functions

template<class Expr >
std::enable_if< details::is_form_expr_quadrature_arg< Expr >::value, details::form_lazy_terminal_integrate_band< Expr > >::type | lazy_integrate (const band_basic< typename float_traits< typename Expr::scalar_type >::type, typename Expr::memory_type > &gh, const Expr &expr, const integrate_option &iopt=integrate_option())
| see the `integrate` page for the full documentation
template<class Expr >
std::enable_if< details::is_form_expr_v2_variational_arg< Expr >::value, details::form_lazy_terminal_integrate_band< details::form_expr_quadrature_on_element< Expr > > >::type | lazy_integrate (const band_basic< typename float_traits< typename Expr::scalar_type >::type, typename Expr::memory_type > &gh, const Expr &expr, const integrate_option &iopt=integrate_option())
| see the `integrate` page for the full documentation